---
type: api
title: Get an Elastic Endpoint rule exception list item
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-readendpointlistitem
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-readendpointlistitem
products:
  - Kibana
---

# Get an Elastic Endpoint rule exception list item

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/endpoint_list/items`
- `GET` `/s/{space_id}/api/endpoint_list/items`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get the details of an Elastic Endpoint exception list item, specified by the `id` or `item_id` field.

## Query String Parameters

- `id` (string · min: 1)
  Either `id` or `item_id` must be specified
- `item_id` (string · min: 1)
  Either `id` or `item_id` must be specified

## Responses

#### `200`

Successful response

`application/json`

- `_version` (string)
  The version id, normally returned by the API when the item was retrieved. Use it ensure updates are done against the latest version.
- `comments` ([] object)
  Array of comment fields:

- comment (string): Comments about the exception item.
  - `comment` (string · min: 1)
    A string that does not contain only whitespace characters
  - `created_at` (string)
    Autogenerated date of object creation.
  - `created_by` (string · min: 1)
    A string that does not contain only whitespace characters
  - `id` (string · min: 1)
    A string that does not contain only whitespace characters
  - `updated_at` (string)
    Autogenerated date of last object update.
  - `updated_by` (string · min: 1)
    A string that does not contain only whitespace characters
- `created_at` (string)
  Autogenerated date of object creation.
- `created_by` (string)
  Autogenerated value - user that created object.
- `description` (string)
  Describes the exception list.
- `entries` ([] object)
- `expire_time` (string)
  The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
- `id` (string · min: 1)
  Exception's identifier.
- `item_id` (string · min: 1)
  Human readable string identifier, e.g. `trusted-linux-processes`
- `list_id` (string · min: 1)
  The exception list's human-readable string identifier.

For endpoint artifacts, use one of the following values:

* `endpoint_list`: Elastic Endpoint exceptions list
* `endpoint_trusted_apps`: Trusted applications list
* `endpoint_trusted_devices`: Trusted devices list
* `endpoint_event_filters`: Event filters list
* `endpoint_host_isolation_exceptions`: Host isolation exceptions list
* `endpoint_blocklists`: Blocklist
- `meta` (object)
- `name` (string · min: 1)
  Exception list name.
- `namespace_type` (enum)
  Determines whether the exception container is available in all Kibana spaces or just the space
in which it is created, where:

- `single`: Only available in the Kibana space in which it is created.
- `agnostic`: Available in all Kibana spaces.

For endpoint artifacts, the `namespace_type` must always be `agnostic`. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments.
  Values: `agnostic`, `single`
- `os_types` ([] object)
  Values: `linux`, `macos`, `windows`
- `tags` ([] object)
- `tie_breaker_id` (string)
  Field used in search to ensure all containers are sorted and returned correctly.
- `type` (enum)
  Values: `simple`
- `updated_at` (string)
  Autogenerated date of last object update.
- `updated_by` (string)
  Autogenerated value - user that last updated object.
#### `400`

Invalid input data

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Insufficient privileges

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `404`

Endpoint list item not found

`application/json`

- `message` (string)
- `status_code` (integer)
#### `500`

Internal server error

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
GET /api/endpoint_list/items
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/endpoint_list/items"
```

## Response Examples

#### Endpoint exception list item

```json
{
  "comments": [],
  "created_at": "2025-01-01T12:00:00.000Z",
  "created_by": "elastic",
  "description": "Blocks a known malicious file by its hash",
  "entries": [
    {
      "field": "file.hash.sha256",
      "operator": "included",
      "type": "match",
      "value": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"
    }
  ],
  "id": "d4b0c1e2-3f4a-5b6c-7d8e-9f0a1b2c3d4e",
  "item_id": "block-malicious-file",
  "list_id": "endpoint_list",
  "name": "Block malicious file",
  "namespace_type": "agnostic",
  "os_types": [
    "windows"
  ],
  "tags": [
    "policy:all"
  ],
  "tie_breaker_id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
  "type": "simple",
  "updated_at": "2025-01-01T12:00:00.000Z",
  "updated_by": "elastic"
}
```

#### Bad

```json
{
  "error": "Bad Request",
  "message": "id or item_id required",
  "statusCode": 400
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "[security_exception\n\tRoot causes:\n\t\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "API [GET /api/endpoint_list/items?item_id=block-malicious-file] is unauthorized for user, this action is granted by the Kibana privileges [lists-read]",
  "statusCode": 403
}
```

#### Not found

```json
{
  "message": "exception list item item_id: \u0022block-malicious-file\u0022 does not exist",
  "status_code": 404
}
```

#### Server error

```json
{
  "message": "Internal Server Error",
  "status_code": 500
}
```

